Bullet Collision Detection & Physics Library: btMultiBodyFloatData Struct Reference

Bullet Collision Detection & Physics Library

Public Attributes | List of all members
btMultiBodyFloatData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btMultiBody.h>`

Collaboration diagram for btMultiBodyFloatData:
[legend]

## Public Attributes
btVector3FloatData | m_baseWorldPosition
btQuaternionFloatData | m_baseWorldOrientation
btVector3FloatData | m_baseLinearVelocity
btVector3FloatData | m_baseAngularVelocity
btVector3FloatData | m_baseInertia
float | m_baseMass
int | m_numLinks
char * | m_baseName
btMultiBodyLinkFloatData * | m_links
btCollisionObjectFloatData * | m_baseCollider

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 937 of file btMultiBody.h.

## Member Data Documentation

## ◆ m_baseAngularVelocity

btVector3FloatData btMultiBodyFloatData::m_baseAngularVelocity

Definition at line 942 of file btMultiBody.h.

## ◆ m_baseCollider

btCollisionObjectFloatData* btMultiBodyFloatData::m_baseCollider

Definition at line 950 of file btMultiBody.h.

## ◆ m_baseInertia

btVector3FloatData btMultiBodyFloatData::m_baseInertia

Definition at line 944 of file btMultiBody.h.

## ◆ m_baseLinearVelocity

btVector3FloatData btMultiBodyFloatData::m_baseLinearVelocity

Definition at line 941 of file btMultiBody.h.

## ◆ m_baseMass

float btMultiBodyFloatData::m_baseMass

Definition at line 945 of file btMultiBody.h.

## ◆ m_baseName

char* btMultiBodyFloatData::m_baseName

Definition at line 948 of file btMultiBody.h.

## ◆ m_baseWorldOrientation

btQuaternionFloatData btMultiBodyFloatData::m_baseWorldOrientation

Definition at line 940 of file btMultiBody.h.

## ◆ m_baseWorldPosition

btVector3FloatData btMultiBodyFloatData::m_baseWorldPosition

Definition at line 939 of file btMultiBody.h.

## ◆ m_links

btMultiBodyLinkFloatData* btMultiBodyFloatData::m_links

Definition at line 949 of file btMultiBody.h.

## ◆ m_numLinks

int btMultiBodyFloatData::m_numLinks

Definition at line 946 of file btMultiBody.h.

The documentation for this struct was generated from the following file:

- btMultiBody.h